using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;
using System.IO;
using System.Runtime.Serialization.Json;

namespace WcfServiceJSON
{
    // HINWEIS: Mit dem Befehl "Umbenennen" im Menü "Umgestalten" können Sie den Klassennamen "Service1" sowohl im Code als auch in der SVC- und der Konfigurationsdatei ändern.
    public class PersonService : IPersonService
    {
        private List<Person> personen;
        public PersonService()
        {
            personen = new List<Person>();
            Person p1 = new Person();
            p1.Alter = 32;
            p1.Name = "Mustermann";
            p1.Vorname = "Max";
            personen.Add(p1);
            p1 = new Person();
            p1.Alter = 33;
            p1.Name = "Mustermann";
            p1.Vorname = "Maxine";
            personen.Add(p1);
            p1 = new Person();
            p1.Alter = 31;
            p1.Name = "Mustermann";
            p1.Vorname = "Moritz";
            personen.Add(p1);
        }

        public List<Person> GetPersonen()
        {
            return personen;
        }

        public List<Person> GetPersonenAsJSON()
        {
            //MemoryStream stream1 = new MemoryStream();
            //DataContractJsonSerializer ser = new DataContractJsonSerializer(typeof(List<Person>));
            //ser.WriteObject(stream1, personen);
            //stream1.Position = 0;
            //StreamReader sr = new StreamReader(stream1);
            //return sr.ReadToEnd();
            return personen;
        }
    }
}
